3 Replies Latest reply on Feb 11, 2014 6:31 AM by Remco van 't Land

    Catch error when you initialize a Rho 4 object when using Rho 2.2

    Remco van 't Land

      Dear Guru's,

       

      We have a client that has mixed 2.2. and 4.0 Rho devices. When we try to initialize the scanner using:

                  Rho.Barcode.enable({}, scan_received);

       

      We get an error like:

      {"method":"getDefaultID","params":[],"_rhoClass":"Rho.Barcode","_rhoID":"0","jsonrpc":"2.0","id":0}

      _rhoNativeApiCall:prompt

       

      Is there a way to catch the version before you initialize, so we can trap the error and prevent it from popping up on the clients screen?

       

      Thanks in advance!